Subject: [Thuban-list] thuban very slow on low-end machine

From: "Moritz Lennert" <[email-masked]>
Date: Sun, 6 Jul 2003 00:42:47 +0200 (CEST)

(Sorry, I sent off a first uncompleted version of this mail by accident)

Hello,

I heard about Thuban on the GRASS mailing list and decided to try it out.
What I've seen so far looks quite encouraging.

However, using a lowend machine (CPU: Cyrix 6x86L, 150 MHz, 128MB RAM
running with Debian testing), Thuban massively uses up system ressources.
Start-up takes CPU usage to over 75%, generating classifications as well.
Loading a shapefile with only 11 polygons takes CPU usage way over 50% and
any action within Thuban keeps the rate between 50 and 75%, sometimes
pushing it even higher. Memory usage is around 15%.

Does this mean that Thuban is only meant for higer-end machines (I will
test it on a much better machine next week) ? Is there anything planned in
terms of streamlining Thuban ?

Moritz